﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI

	Public Page2 As B4XPage2
	Public Page3 As B4XPage3
	Private clvM3U As CustomListView
		
	Public LastUrlName As String

	
End Sub

'You can add more parameters here.
Public Sub Initialize

End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("ListViewM3U")
	
	B4XPages.SetTitle(Me, "Issac IPTV")
	B4XPages.AddMenuItem(Me, "Settings")
	
	Page2.Initialize
	B4XPages.AddPage("Media Selection", Page2)
	
	Page3.Initialize
	B4XPages.AddPage("Media Player", Page3)

	PopulateM3UList
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.
Sub B4XPage_Appear
	
End Sub
Sub B4XPage_Resize (Width As Int, Height As Int)

End Sub
Sub B4XPage_MenuClick (Tag As String)
	If Tag = "Settings" Then 

	End If
End Sub

Sub GetUrl(Url As String)
	B4XPages.ShowPage("Media Selection")
	
	If LastUrlName <>  Url Then 
		Page2.RefreshMedia(Url)
	End If
	
	LastUrlName = Url
End Sub

Sub PopulateM3UList

	clvM3U.AddTextItem("Arabic", "Arabic")
	clvM3U.AddTextItem("Turkish", "Turkish")
	clvM3U.AddTextItem("Spanish", "Spanish")
	clvM3U.AddTextItem("Reserved", "Reserved")
	
End Sub

Private Sub clvM3U_ItemClick (Index As Int, Value As Object)
	Select Case Value
		Case "Arabic":	GetUrl("https://iptv-org.github.io/iptv/languages/ara.m3u")
		Case "Turkish": GetUrl("https://iptv-org.github.io/iptv/languages/tur.m3u")
		Case "Spanish": GetUrl("https://iptv-org.github.io/iptv/languages/spa.m3u")
	End Select
End Sub